

    #! /usr/bin/perl -w

    use IO::Socket;
	use strict;
    # -------------- inizio parte da modificare -----------------------

    my $aprsServer = "italy1.aprs2.net"; # server aprs a cui collegarsi

    my $port = 14580; # porta del server

    my $callsign = "XXXXX-1"; # inserire qui il nominativo

    my $pass = "YYYYY"; # inserire qui il passcode

    my $coord = "AAAA.AAN/BBBBB.BBE_"; # inserire qui le coordinate

    my $altInFeet = 0; # inserire qui l'altitudine in piedi

    my $comment = "BeaconWXTest"; # modificare a proprio piacimento

    # ------------- fine parte da modificare --------------------------

	my $file = "/home/luca/Scrivania/dati.txt";
	my ($vento,$direzvento,$piccovento,$tempf,$pioggiaoggi,$pioggiaulth,$pioggia24,$umidita,$pressione);

	open DATA, $file or die "ERRORE APERTURA FILE: $!";
	while (<DATA>) {
		chomp;
		($vento,$direzvento,$piccovento,$tempf,$pioggiaoggi,$pioggiaulth,$pioggia24,$umidita,$pressione) = split (',');
	}
	close DATA;

    my $sock = new IO::Socket::INET (

       PeerAddr => $aprsServer,

       PeerPort => $port,

       Proto => 'tcp'

    );

    die( "Could not create socket: $!n" ) unless $sock;

    $sock->recv(my $recv_data,1024 );

    print $sock "user $callsign pass $pass ver\n";

    $sock->recv( $recv_data,1024 );

    if( $recv_data !~ /^# logresp $callsign verified.*/ )

    {

        die( "Errore! il server ha risposto con un errore: $recv_data\n" );

    }

    my ($sec,$min,$hour,$mday,$mon,$year,$wday,$yday) = gmtime();

    my $message = sprintf( "%s>APRS,TCPIP*:@%02d%02d%02dz%s%s/%sg%st%sr%sp%sP%sh%sb%s%s\n",

        $callsign,$hour,$min,$sec,$coord,$vento,$direzvento,$piccovento,$tempf,$pioggiaulth,$pioggia24,$pioggiaoggi,$umidita,$pressione,$comment );

    print $sock $message;

    close( $sock );

    print "Script invio beacon completato!.\n"


